extends Spatial

var tree = null
var tree2 = null

func _ready():
	randomize()
	for i in range(32):
		tree = PolyTree.new()
		tree.set_preset(floor(i/2)+1)
		tree.look_at_from_position(Vector3(rand_range(60, 120), -0.7, rand_range(20, 120)), Vector3.ZERO, Vector3.UP)
		add_child(tree)

	for i in range(16):
		tree2 = PolyTree2.new()
		tree2.set_preset(i)
		tree2.look_at_from_position(Vector3(rand_range(60, 120), -0.7, rand_range(90, 140)), Vector3.ZERO, Vector3.UP)
		add_child(tree2)

